%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:     jgroups
Version:  3.0.6
Release:  %mkrel 4
Summary:  Toolkit for reliable multicast communication
License:  LGPLv2+
URL:      http://www.jgroups.org
Group:    Development/Java

# git clone git://github.com/belaban/JGroups.git jgroups
# cd jgroups && git checkout JGroups_3_0_6_Final && git checkout-index -f -a --prefix=jgroups-3.0.6.Final/
# find jgroups-3.0.6.Final/ -name '*.class' -delete
# find jgroups-3.0.6.Final/ -name '*.jar' -delete
# tar cafJ jgroups-3.0.6.Final-CLEAN.tar.xz jgroups-3.0.6.Final
Source0:  %{name}-%{namedversion}-CLEAN.tar.xz
Patch0:   %{name}-%{namedversion}-pom.patch

Requires: java
Requires: jpackage-utils

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: bsh
BuildRequires: log4j
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit
BuildRequires: testng

BuildArch:     noarch

%description
JGroups is a toolkit for reliable multicast communication. (Note that
this doesn't necessarily mean IP Multicast, JGroups can also use
transports such as TCP). It can be used to create groups of processes
whose members can send messages to each other.

%package  javadoc
Summary:  API documentation for %{name}
Group:    Documentation
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion} 
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install

# JAR
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar 

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc INSTALL.html LICENSE README

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.0.6-4.mga3
+ Revision: 355428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 3.0.6-3.mga3
+ Revision: 331483
- Remove jgroups:jgroups demap

* Sun Dec 16 2012 dmorgan <dmorgan> 3.0.6-2.mga3
+ Revision: 331455
- Add missing demap

* Mon Sep 10 2012 dmorgan <dmorgan> 3.0.6-1.mga3
+ Revision: 291785
- Upstream release 3.0.6.Final

* Thu Aug 11 2011 dmorgan <dmorgan> 2.6.10-1.mga2
+ Revision: 132700
- Clean spec file

  + gil <gil>
    - use new macro
    - fix tag version
    - imported package jgroups

